package com.example.onomatopoeiaback.domain.employee;

import com.fasterxml.jackson.annotation.JsonIgnore;
import jakarta.persistence.*;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;

import java.time.LocalDateTime;

@Entity
@Table(name = "employee")
@Getter
@Setter
public class Employee {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    @Column(unique = true)
    @NonNull
    private String login;
    @NonNull
    @JsonIgnore
    private String password;

    @NonNull
    private String name;
    @NonNull
    private String photo;
    @NonNull
    private PositionType position;

    private LocalDateTime lastVisit;
}
